/*
 *  $Id: misc.h,v 1.4 2003/08/01 12:05:53 luke Exp $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

enum { COMBINED, RED, GREEN, BLUE };
extern char* channel_name[];
extern char* curve_widget_names[];
extern float reference_ramp[];
extern int ramp_size;
extern GtkStatusbar* main_statusbar;

void update_curves_from_ramps(
	GtkWidget* ancor, float brightness_ramp[], float red_ramp[], float green_ramp[], float blue_ramp[]);
void curve_update_from_current (GtkWidget* ancor);
void curve_update_from_ramp (GtkCurve* curve, int size, float ramp[]) ;

void show_msg(char* text);
