/*
 *  $Id: xbr.h,v 1.4 2003/08/01 12:05:53 luke Exp $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#define MAX_RAMPSIZE 1024
#define MAX_BRIGHTNESS (unsigned short)((2 << 16) - 1)

/* returns non-zero on failure */
int set_brightness(int size, float red_ramp[], float green_ramp[], float blue_ramp[]);

/* returns -1 on failure, otherwise the size of ramp */
int get_brightness(float red_ramp[], float green_ramp[], float blue_ramp[]);

/* returns -1 on failure */
int get_ramp_size();
